Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ExternalizableHelper.IntDecoratedObject

`java.lang.Object
BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.ExternalizableHelper.IntDecoratedObject`

All Implemented Interfaces:
  Serializable

Enclosing class:
  ExternalizableHelper

      protected static final class ExternalizableHelper.IntDecoratedObject

extends ExternalizableHelper
implements Serializable

Integer decorated object.

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.ExternalizableHelper
`ExternalizableHelper.DefaultObjectStreamFactory, ExternalizableHelper.IntDecoratedObject, ExternalizableHelper.Shielded, ExternalizableHelper.ShieldedDataOutputStream, ExternalizableHelper.ShieldedInputStream, ExternalizableHelper.ShieldedObjectOutputStream, ExternalizableHelper.ShieldedOutputStream, ExternalizableHelper.SimpleXmlBeanClassCache, ExternalizableHelper.XmlBeanClassCache`

Field Summary

Fields inherited from class com.tangosol.util.ExternalizableHelper
`CONVERTER_FROM_BINARY, CONVERTER_STRIP_INTDECO, CONVERTER_TO_BINARY, DECO_CUSTOM, DECO_EXPIRY, DECO_ID_MAX, DECO_ID_MIN, DECO_STORE, DECO_VALUE, EMPTY_BINARY_ARRAY, FMT_B_ARRAY, FMT_BIN_DECO, FMT_BINARY, FMT_BOOLEAN, FMT_BYTE, FMT_DECIMAL, FMT_DOUBLE, FMT_EXT, FMT_FLOAT, FMT_IDO, FMT_INT, FMT_INTEGER, FMT_LONG, FMT_NONE, FMT_NULL, FMT_OBJ_EXT, FMT_OBJ_SER, FMT_SHORT, FMT_STRING, FMT_UNKNOWN, FMT_XML_BEAN, FMT_XML_SER, FORCE_RESOLVING_STREAMS, MAX_DECO_HEADER_BYTES, PROPERTY_CONFIG, s_streamfactory, STATS_THRESHOLD, TRINT_DOMAIN_SPAN, TRINT_MAX_VALUE, TRINT_MAX_VARIANCE, USE_MARSHAL_STREAMS, USE_POF_STREAMS, USE_XMLBEAN_CLASS_CACHE, XMLBEAN_CLASS_CACHE`

Constructor Summary
`ExternalizableHelper.IntDecoratedObject(Object oValue, int nDecoration)`

Method Summary
`int` | `getDecoration()`
`Object` | `getValue()`

Methods inherited from class com.tangosol.util.ExternalizableHelper
`convertUTF, decorate, decorate, decorate, decorateBinary, ensureSerializer, extractIntDecoration, fromBinary, fromBinary, fromByteArray, fromByteArray, getDecoration, getDecorations, getInputStream, getNewObjectInput, getObjectInput, getObjectOutput, getObjectStreamFactory, getOutputStream, getShieldedOutputStream, getStreamFormat, getUndecorated, isDecorated, isIntDecorated, isMarshalled, isResolving, isSerializable, isSerializerCompatible, loadClass, loadResource, main, makeTrint, readBigDecimal, readBigInteger, readBooleanArray, readByteArray, readCollection, readDate, readDoubleArray, readExternalizableLite, readExternalizableLite, readFloatArray, readInt, readLong, readMap, readMap, readObject, readObject, readSafeUTF, readSerializable, readSerializable, readStringArray, readTime, readTimestamp, readTrint, readUnsignedTrint, readUTF, readXmlBean, readXmlSerializable, readXmlSerializable, removeIntDecoration, reportIncompatibleSerializers, setObjectStreamFactory, toBinary, toBinary, toByteArray, toByteArray, toLiteBinary, translateTrint, undecorate, validateBufferSize, writeBigDecimal, writeBigInteger, writeBooleanArray, writeByteArray, writeCollection, writeDate, writeDoubleArray, writeExternalizableLite, writeFloatArray, writeInt, writeLong, writeMap, writeObject, writeSafeUTF, writeSerializable, writeStringArray, writeTime, writeTimestamp, writeTrint, writeTrint, writeUTF, writeXmlBean, writeXmlSerializable`

Constructor Detail

### ExternalizableHelper.IntDecoratedObject

    public ExternalizableHelper.IntDecoratedObject(Object oValue,
                                                   int nDecoration)

Method Detail

### getValue

    public Object getValue()

### getDecoration

    public int getDecoration()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.